Bug Hunting Session
Bug 80522 - DOCX embedded with word Macro-Enabled document is not preserved after RT
Summary: DOCX embedded with word Macro-Enabled document is not preserved after RT
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Priyanka Gaikwad
URL:
Whiteboard: target:4.4.0 target:4.3.1
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-25 11:37 UTC by Priyanka Gaikwad
Modified: 2014-07-16 13:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Docx file (30.61 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-06-25 11:37 UTC, Priyanka Gaikwad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Priyanka Gaikwad 2014-06-25 11:37:10 UTC
Created attachment 101743 [details]
Docx file

Problem description: 

Steps to reproduce:
1. Open the document in LibreOffice.
2. Save as .docx
3. Open in MS Office 2010.

Current behavior:
Macro-enabled word document embedded in DOCX is not preserved after RT.

Expected behavior:
Macro-enabled word document embedded in DOCX is preserved after RT.
Comment 1 Commit Notification 2014-07-02 08:21:43 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f11d6421e4e61ce6f557ebd8272485f79968224e

fdo#80522 & fdo#80523:Embedded Macro-Enabled objects are not preserved



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2014-07-11 12:05:02 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1f9e3661ee2ca8334dc228c65cfc23442c2a9c39&h=libreoffice-4-3

fdo#80522 & fdo#80523:Embedded Macro-Enabled objects are not preserved


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.